summaryrefslogtreecommitdiffstats
path: root/release
diff options
context:
space:
mode:
Diffstat (limited to 'release')
-rwxr-xr-xrelease9
1 files changed, 9 insertions, 0 deletions
diff --git a/release b/release
new file mode 100755
index 0000000..cf5997b
--- /dev/null
+++ b/release
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -eu
+
+sed '/^ -- .* /{ s/^\( -- .* \).*$/\1'"$(LC_ALL='POSIX' date \
+ '+%a, %d %b %Y %H:%M:%S %z')"'/; :l; n; b l; };' changelog >changelog~
+mv changelog~ changelog
+git commit -m "changelog: Release $(sed '1s/^\(.*\) (\(.*\)) .*$/\1 \2/; q;' \
+ changelog)" -- changelog